function [Qt]=COMMU_Q(dataX,dataY,same_index,diff_index,s,z,Dl,tao,G,fzdiff,B,C)
%compute the function Q in Eq.9
Fw2=COMMU_Fw(dataX,dataY,same_index,diff_index,z,Dl,B,C);
fz=Fw2-norm(z,1);
gs=norm(s,1);
Qt=tao/2*sum((s-G).^2)+gs+fz-1/2/tao*sum(fzdiff.^2);
end